<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__syspm__functions__backup" kind="group">
    <compoundname>group_syspm_functions_backup</compoundname>
    <title>Backup Domain</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__backup_1ga599bd7a461b2cc7280183808a119fd92" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysPm_BackupSetSupply</definition>
        <argsstring>(cy_en_syspm_vddbackup_control_t vddBackControl)</argsstring>
        <name>Cy_SysPm_BackupSetSupply</name>
        <param>
          <type><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga07d01979fa53fd8a53203bf362a8add1">cy_en_syspm_vddbackup_control_t</ref></type>
          <declname>vddBackControl</declname>
        </param>
        <briefdescription>
<para>Sets the backup supply (Vddback) operation mode. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>vddBackControl</parametername>
</parameternamelist>
<parameterdescription>
<para>Selects backup supply (Vddback) operation mode. See <ref kindref="member" refid="group__group__syspm__data__enumerates_1ga07d01979fa53fd8a53203bf362a8add1">cy_en_syspm_vddbackup_control_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
Refer to device TRM for more detail about backup supply modes.</para><para><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />set<sp />only<sp />Vbackup<sp />to<sp />supply<sp />Vddbackup<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Ensure<sp />there<sp />is<sp />a<sp />valid<sp />power<sp />connection<sp />on<sp />backup<sp />pin<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syspm__functions__backup_1ga599bd7a461b2cc7280183808a119fd92">Cy_SysPm_BackupSetSupply</ref>(<ref kindref="member" refid="group__group__syspm__data__enumerates_1gga07d01979fa53fd8a53203bf362a8add1a92e63136dca5cbb468d5c756b29b96a0">CY_SYSPM_VDDBACKUP_VBACKUP</ref>);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2750" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="2745" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1909" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__backup_1gac869bdcfcc968df79261414a6a7ef088" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__syspm__data__enumerates_1ga07d01979fa53fd8a53203bf362a8add1">cy_en_syspm_vddbackup_control_t</ref></type>
        <definition>__STATIC_INLINE cy_en_syspm_vddbackup_control_t Cy_SysPm_BackupGetSupply</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysPm_BackupGetSupply</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Returns the current backup supply (Vddback) operation mode. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>The current backup supply (Vddback) operation mode, see <ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref>.</para></simplesect>
Refer to device TRM for more detail about backup supply modes.</para><para><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />get<sp />the<sp />current<sp />backup<sp />supply<sp />(Vddback)<sp />operation<sp />mode<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga07d01979fa53fd8a53203bf362a8add1">cy_en_syspm_vddbackup_control_t</ref><sp />mode<sp />=<sp /><ref kindref="member" refid="group__group__syspm__functions__backup_1gac869bdcfcc968df79261414a6a7ef088">Cy_SysPm_BackupGetSupply</ref>();</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2775" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="2769" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1910" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__backup_1ga3f33e9f05d6aa5449513522032d33bf3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysPm_BackupEnableVoltageMeasurement</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysPm_BackupEnableVoltageMeasurement</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>This function enables Vbackup supply measurement by the ADC. </para>        </briefdescription>
        <detaileddescription>
<para>The function connects the Vbackup supply to AMuxBusA. The ADC input can then be connected to AMuxBusA. Note that the measured signal is scaled by 10% to allow full range measurement by the ADC.</para><para>Refer to device TRM for more detail about Vbackup supply measurement.</para><para><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />enable<sp />Vbackup<sp />supply<sp />measurement</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp />via<sp />AMuxBusA,<sp />e.g.<sp />by<sp />the<sp />internal<sp />ADC.<sp /><sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Connect<sp />amuxbus_sar<sp />to<sp />amuxbus_main<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />HSIOM-&gt;AMUX_SPLIT_CTL[6]<sp />=<sp />HSIOM_AMUX_SPLIT_CTL_SWITCH_AA_SL_Msk<sp />|<sp />HSIOM_AMUX_SPLIT_CTL_SWITCH_AA_SR_Msk;</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Connect<sp />amuxbus_adft0_vddd<sp />to<sp />amuxbus_main<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />HSIOM-&gt;AMUX_SPLIT_CTL[0]<sp />=<sp />HSIOM_AMUX_SPLIT_CTL_SWITCH_AA_SL_Msk<sp />|<sp />HSIOM_AMUX_SPLIT_CTL_SWITCH_AA_SR_Msk;</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Connect<sp />Vddbackmeasure<sp />to<sp />AMuxBus<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syspm__functions__backup_1ga3f33e9f05d6aa5449513522032d33bf3">Cy_SysPm_BackupEnableVoltageMeasurement</ref>();</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2796" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="2793" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1911" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__backup_1ga72096a59eb7cc015895a559fcd95cd65" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysPm_BackupDisableVoltageMeasurement</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysPm_BackupDisableVoltageMeasurement</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>The function disables Vbackup supply measurement by the ADC by disconnecting the Vbackup supply from AMuxBusA. </para>        </briefdescription>
        <detaileddescription>
<para>Refer to device TRM for more detail about Vbackup supply measurement.</para><para><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />disable<sp />the<sp />Vbackup<sp />supply<sp />measurement<sp />by<sp />the<sp />ADC<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syspm__functions__backup_1ga72096a59eb7cc015895a559fcd95cd65">Cy_SysPm_BackupDisableVoltageMeasurement</ref>();</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2815" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="2812" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1912" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syspm__functions__backup_1gaf9eaa32393d9afde1e53fc7808fecbb4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysPm_BackupSuperCapCharge</definition>
        <argsstring>(cy_en_syspm_sc_charge_key_t key)</argsstring>
        <name>Cy_SysPm_BackupSuperCapCharge</name>
        <param>
          <type><ref kindref="member" refid="group__group__syspm__data__enumerates_1gaffbcaa784d215b003d6b95e0620b9fa7">cy_en_syspm_sc_charge_key_t</ref></type>
          <declname>key</declname>
        </param>
        <briefdescription>
<para>Configures the supercapacitor charger circuit. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>key</parametername>
</parameternamelist>
<parameterdescription>
<para>Passes the key to enable or disable the supercapacitor charger circuit. See <ref kindref="member" refid="group__group__syspm__data__enumerates_1gaffbcaa784d215b003d6b95e0620b9fa7">cy_en_syspm_sc_charge_key_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is used only for charging the supercapacitor. Do not use this function to charge a battery. Refer to device TRM for more detail.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />There<sp />is<sp />a<sp />need<sp />to<sp />charge<sp />the<sp />supercapacitor<sp />which<sp />will</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />supply<sp />the<sp />RTC<sp />during<sp />Hibernate<sp />mode<sp />for<sp />a<sp />few<sp />hours</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syspm__functions__backup_1gaf9eaa32393d9afde1e53fc7808fecbb4">Cy_SysPm_BackupSuperCapCharge</ref>(<ref kindref="member" refid="group__group__syspm__data__enumerates_1ggaffbcaa784d215b003d6b95e0620b9fa7ad9281b6f6744e83f380cd0b0c7f2821c">CY_SYSPM_SC_CHARGE_ENABLE</ref>);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2849" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" bodystart="2837" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syspm.h" line="1913" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>